Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JboXMLUtil

`java.lang.Object
oracle.jbo.common.JboXMLUtil`

public class JboXMLUtil
extends java.lang.Object

Internal: Applications should not use this class.

Constructor Summary
`JboXMLUtil()`

Method Summary
`static Element` | `convertStringToElement(java.lang.String data)`
`static DOMParser` | `createDOMParser(boolean preserveWhiteSpace)`
`static Node` | `getFirstChildByType(Node elem, short type)`
`static Node` | `getNextSiblingByType(Node elem, short type)`
`static void` | `processAndReadXML(XMLInterface obj, Element elem, int depthCount, XSLStylesheet xslt)`
`static XMLDocument` | `processXSL(XMLDocument xmlDoc, XSLStylesheet xslt)`
`static java.lang.String` | `streamXMLNodeToString(Node inNode)`
`static Node` | `writeAndProcessXML(XMLInterface obj, int depthCount, long options, XSLStylesheet xslt)`
`static Node` | `writeAndProcessXML(XMLInterface obj, long options, com.sun.java.util.collections.HashMap map, XSLStylesheet xslt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboXMLUtil

    public JboXMLUtil()

Method Detail

### writeAndProcessXML

    public static Node writeAndProcessXML(XMLInterface obj,
                                          int depthCount,
                                          long options,
                                          XSLStylesheet xslt)

### writeAndProcessXML

    public static Node writeAndProcessXML(XMLInterface obj,
                                          long options,
                                          com.sun.java.util.collections.HashMap map,
                                          XSLStylesheet xslt)

### processAndReadXML

    public static void processAndReadXML(XMLInterface obj,
                                         Element elem,
                                         int depthCount,
                                         XSLStylesheet xslt)

### processXSL

    public static XMLDocument processXSL(XMLDocument xmlDoc,
                                         XSLStylesheet xslt)

### getFirstChildByType

    public static Node getFirstChildByType(Node elem,
                                           short type)

### getNextSiblingByType

    public static Node getNextSiblingByType(Node elem,
                                            short type)

### streamXMLNodeToString

    public static java.lang.String streamXMLNodeToString(Node inNode)

### convertStringToElement

    public static Element convertStringToElement(java.lang.String data)

### createDOMParser

    public static DOMParser createDOMParser(boolean preserveWhiteSpace)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.